Package org.springframework.web.multipart

# Interface MultipartHttpServletRequest

All Superinterfaces:
  `HttpServletRequest`, `MultipartRequest`, `ServletRequest`

All Known Implementing Classes:
  `AbstractMultipartHttpServletRequest`, `DefaultMultipartHttpServletRequest`, `StandardMultipartHttpServletRequest`

public interface MultipartHttpServletRequest extends HttpServletRequest, MultipartRequest
Provides additional methods for dealing with multipart content within a servlet request, allowing to access uploaded files.

Implementations also need to override the standard `ServletRequest` methods for parameter access, making multipart parameters available.

A concrete implementation is `DefaultMultipartHttpServletRequest`. As an intermediate step, `AbstractMultipartHttpServletRequest` can be subclassed.

Since:
  29.09.2003
Author:
  Juergen Hoeller, Trevor D. Cook
See Also:
  - `MultipartResolver`
  - `MultipartFile`
  - `ServletRequest.getParameter(java.lang.String)`
  - `ServletRequest.getParameterNames()`
  - `ServletRequest.getParameterMap()`
  - `DefaultMultipartHttpServletRequest`
  - `AbstractMultipartHttpServletRequest`

## Field Summary

### Fields inherited from interface jakarta.servlet.http.HttpServletRequest

`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

## Method Summary

Modifier and Type
Method
Description
`HttpHeaders`
`getMultipartHeaders(String paramOrFileName)`
Return the headers for the specified part of the multipart request.
`HttpHeaders`
`getRequestHeaders()`
Return this request's headers as a convenient HttpHeaders instance.
`HttpMethod`
`getRequestMethod()`
Return this request's method as a convenient HttpMethod instance.

### Methods inherited from interface jakarta.servlet.http.HttpServletRequest

`authenticate, changeSessionId, getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getHttpServletMapping, getIntHeader, getMethod, getPart, getParts, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getTrailerFields, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isTrailerFieldsReady, isUserInRole, login, logout, newPushBuilder, upgrade`

### Methods inherited from interface org.springframework.web.multipart.MultipartRequest

`getFile, getFileMap, getFileNames, getFiles, getMultiFileMap, getMultipartContentType`

### Methods inherited from interface jakarta.servlet.ServletRequest

`getAsyncContext, getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentLengthLong, getContentType, getDispatcherType, getInputStream, getLocalAddr, getLocale, getLocales, getLocalName, getLocalPort, getParameter, getParameterMap, getParameterNames, getParameterValues, getProtocol, getProtocolRequestId, getReader, getRemoteAddr, getRemoteHost, getRemotePort, getRequestDispatcher, getRequestId, getScheme, getServerName, getServerPort, getServletConnection, getServletContext, isAsyncStarted, isAsyncSupported, isSecure, removeAttribute, setAttribute, setCharacterEncoding, startAsync, startAsync`

## Method Details

### getRequestMethod

HttpMethod getRequestMethod()
Return this request's method as a convenient HttpMethod instance.

### getRequestHeaders

HttpHeaders getRequestHeaders()
Return this request's headers as a convenient HttpHeaders instance.

### getMultipartHeaders

@Nullable HttpHeaders getMultipartHeaders(String paramOrFileName)
Return the headers for the specified part of the multipart request.

If the underlying implementation supports access to part headers, then all headers are returned. Otherwise, for example, for a file upload, the returned headers may expose a 'Content-Type' if available.